Main Page Alphabetical List Compound List File List Compound Members Related Pages

# TTransparentForm Class Reference

MDI-Child for the transparent raycaster. More...

`#include <MDITransparent.h>`

List of all members.

## Private Methods
void __fastcall | PaintGL ()
| PaintGL is redrawing the precalculated view in the OpenGL-Window - if the window size changes, PrepareGLWindow has to be called first to calculate the new aspect ratio.
void __fastcall | PrepareGLWindow ()
| Aspect ratio and Position of the GLWindow within the client area of the window are recalculated in PrepareGLWindow, this is necessary whenever the window was resized.
void __fastcall | RayCast ()
| RayCast has to be called after one or more of the raycaster parameters have been changed.

## Detailed Description

MDI-Child for the transparent raycaster.

The transparent raycaster is the highest quality vizualiation. It can be highly modified by using the transfer function editor to change the volume data ranges that will show up in the final image. Color and alpha garadients can be defined in the transfer function editor to visualize both transparent lower density and opaque high density tissue. Optimization of rendering time was achieved by front-to-back raycasting, where a ray can be terminated once a alpha value near 1 is reached. Furthermore, voxels with an alpha value of 0.0 are not calculated.

Definition at line 36 of file MDITransparent.h.

## Member Function Documentation

void __fastcall TTransparentForm::PrepareGLWindow | ( |  | ) | `[private]`

| Aspect ratio and Position of the GLWindow within the client area of the window are recalculated in PrepareGLWindow, this is necessary whenever the window was resized. An additional call to PaintGL is neccessary to redraw the changes. Definition at line 131 of file MDITransparent.cpp. Referenced by PaintGL().

void __fastcall TTransparentForm::RayCast | ( |  | ) | `[private]`

| RayCast has to be called after one or more of the raycaster parameters have been changed. The raycaster will reset all values and recalculate the whole viewing array again. An additional call to PaintGL is neccessary to redraw the changes. Definition at line 161 of file MDITransparent.cpp. References rgb::b, rgb::g, rgb::r, vertex::x, vertex::y, and vertex::z.

The documentation for this class was generated from the following files:

- MDITransparent.h
- MDITransparent.cpp